/* CAIL - The Clutter Accessibility Implementation Library
 *
 * Copyright (C) 2008 Nokia Corporation
 *
 * Author: Alejandro Pieiro Iglesias <apinheiro@igalia.com>
 *
 * Based on GailContainer from GAIL
 * Copyright 2001, 2002, 2003 Sun Microsystems Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef                                         __CAIL_GROUP_H__
#define                                         __CAIL_GROUP_H__

#include "cail-actor.h"

G_BEGIN_DECLS

#define CAIL_TYPE_GROUP                         (cail_group_get_type ())
#define CAIL_GROUP(obj)                         (G_TYPE_CHECK_INSTANCE_CAST ((obj), CAIL_TYPE_GROUP, CailGroup))
#define CAIL_GROUP_CLASS(klass)                 (G_TYPE_CHECK_CLASS_CAST ((klass), CAIL_TYPE_GROUP, CailGroupClass))
#define CAIL_IS_GROUP(obj)                      (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CAIL_TYPE_GROUP))
#define CAIL_IS_GROUP_CLASS(klass)              (G_TYPE_CHECK_CLASS_TYPE ((klass), CAIL_TYPE_GROUP))
#define CAIL_GROUP_GET_CLASS(obj)               (G_TYPE_INSTANCE_GET_CLASS ((obj), CAIL_TYPE_GROUP, CailGroupClass))

typedef struct                                  _CailGroup        CailGroup;
typedef struct                                  _CailGroupClass   CailGroupClass;
typedef struct                                  _CailGroupPrivate CailGroupPrivate;

struct                                          _CailGroup
{
  CailActor parent;

  /* < private > */
  CailGroupPrivate *priv;
};

struct                                          _CailGroupClass
{
  CailActorClass parent_class;
};

GType
cail_group_get_type                             (void);

AtkObject*
cail_group_new                                  (ClutterActor *actor);

G_END_DECLS

#endif /* __CAIL_GROUP_H__ */
