/* CAIL - The Clutter Accessibility Implementation Library
 *
 * Copyright (C) 2008 Nokia Corporation
 *
 * Author: Alejandro Pieiro Iglesias <apinheiro@igalia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __CAIL_UTIL_H__
#define __CAIL_UTIL_H__

#include <atk/atk.h>

G_BEGIN_DECLS

#define                                         CAIL_TYPE_UTIL \
                                                (cail_util_get_type ())
#define                                         CAIL_UTIL(obj) \
                                                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                                CAIL_TYPE_UTIL, CailUtil))
#define                                         CAIL_UTIL_CLASS(klass) \
                                                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                                CAIL_TYPE_UTIL, CailUtilClass))
#define                                         CAIL_IS_UTIL(obj) \
                                                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                                CAIL_TYPE_UTIL))
#define                                         CAIL_IS_UTIL_CLASS(klass) \
                                                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                                CAIL_TYPE_UTIL))
#define                                         CAIL_UTIL_GET_CLASS(obj) \
                                                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                                CAIL_TYPE_UTIL, CailUtilClass))

typedef struct                                  _CailUtil        CailUtil;
typedef struct                                  _CailUtilClass   CailUtilClass;
typedef struct                                  _CailUtilPrivate CailUtilPrivate;

struct                                          _CailUtil
{
  AtkUtil parent;

  /* < private > */
  CailUtilPrivate *priv;
};

struct                                          _CailUtilClass
{
  AtkUtilClass parent_class;
};

GType
cail_util_get_type                              (void);

G_END_DECLS

#endif /* __CAIL_UTIL_H__ */
